# Incoming Webhook Trigger

## How to Trigger Your Workflow with an Incoming Webhook

### 1. Create a Workflow with one JSON input

To trigger a workflow with an incoming Webhook, first, you need to make sure that your Workflow has one JSON input value:

{% @arcade/embed url="<https://app.arcade.software/share/c3phBccxDiEZkJjtHpvB>" flowId="c3phBccxDiEZkJjtHpvB" %}

### 2. Publish your workflow

Next, publish your Workflow by clicking **Publish** Workflow in the top right hand corner of the Workflow Studio.

### 3. Configure the Webhook URL

Now, configure your Webhook URL with your [App UUID and API Key](/actions/run-once/api.md):

```bash
curl --request POST \
     --url 'https://app.airops.com/public_api/airops_apps/YOUR_APP_UUID/webhook_async_execute?auth_token=YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "custom_parameter": "Custom Value"
}
'
```

You can now test your API by running the call in Postman or in your terminal. You should see a 200 response, which you can then validate in the Workflow's "History" tab.

Once you have confirmed the Workflow ran successfully, you can copy and paste the resulting Webhook URL to your external service. The URL will look something like this:

```url
https://app.airops.com/public_api/airops_apps/a3cb8474-9ec1-4052-8c54-7cbcb7a4c846/webhook_async_execute?auth_token=your_workspace_token
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airops.com/actions/run-once/trigger/incoming-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
